/* 
    ETRI IntraPMS Project
    전자결재  첨부 파일 정보를 위한 Class

    
*/


package com.etri.groupware.eda;
 
public class AttatchFile {

	private String 	fileName;
	private String 	docID;
	private String 	filePath;
	private int	fileSize;
	
	/* FileAccess constructor comment. */
	
	public AttatchFile() {
		super();
	}

	public AttatchFile ( String fileName, String docID ) {
		this.fileName = fileName;
		this.docID = docID;
	}
	
	public AttatchFile ( String fileName, String docID, String filePath ){
		this.fileName = fileName;
		this.docID = docID;
		this.filePath = filePath;
	}

	public AttatchFile ( String fileName, String docID, String filePath, int fileSize){
		this.fileName = fileName;
		this.docID = docID;
		this.filePath = filePath;
		this.fileSize = fileSize;
	}

	/* member variable get method */
	
	public String getfileName(){
		return fileName;
	}
	
	public String getdocID(){
		return docID;
	}
	
	public String getfilePath(){
		return filePath;
	}
	
	public int getfileSize(){
		return fileSize;
	}
	
	/* member variable set method */
	
	public void setfileName ( String fileName ){
		this.fileName = fileName;
	}
	
	public void setdocID ( String docID ){
		this.docID = docID;
	}
	
	public void setfilePath ( String filePath ){
		this.filePath = filePath;
	}
	
	public void setfileSize ( int fileSize ){
		this.fileSize = fileSize;
	}
}